Bug 856554 - Review Request: python-pottymouth - Transform unstructured, untrusted text to safe, valid XHTML
Review Request: python-pottymouth - Transform unstructured, untrusted text to...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 06:05 EDT by Eduardo Echeverria
Modified: 2012-10-15 13:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 13:54:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Eduardo Echeverria 2012-09-12 06:05:58 EDT
Spec URL: http://echevemaster.fedorapeople.org/python-pottymouth/1/python-pottymouth.spec
SRPM URL: http://echevemaster.fedorapeople.org/python-pottymouth/1/python-pottymouth-2.2.1-1.fc17.src.rpm

Description: PottyMouth transforms completely unstructured and untrusted 
text to valid, nice-looking, completely safe XHTML.
PottyMouth is designed to handle input text 
from non-technical, potentially careless or malicious users. 
It produces HTML that is completely safe, 
programmatically and visually, to include on any web page. 
And you don't need to make your users read any instructions 
before they start typing. They don't even need to know that 
PottyMouth is being used

rpmlint -i python-pottymouth-2.2.1-1.fc17.noarch.rpm 
python-pottymouth.noarch: W: spelling-error Summary(en_US) untrusted -> entrusted, trusted, encrusted
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.noarch: W: spelling-error %description -l en_US untrusted -> entrusted, trusted, encrusted
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.noarch: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.noarch: W: doc-file-dependency /usr/share/doc/python-pottymouth/tests.py /usr/bin/env
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.

python-pottymouth.noarch: W: doc-file-dependency /usr/share/doc/python-pottymouth/profile.py /usr/bin/env
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.

1 packages and 0 specfiles checked; 0 errors, 5 warnings.

rpmlint -i python-pottymouth-2.2.1-1.fc17.src.rpm 
python-pottymouth.src: W: spelling-error Summary(en_US) untrusted -> entrusted, trusted, encrusted
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.src: W: spelling-error %description -l en_US untrusted -> entrusted, trusted, encrusted
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.src: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
The value of this tag appears to be misspelled. Please double-check.

1 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 1 Luis Bazan 2012-09-13 12:54:33 EDT
These is a informal revision


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[ ]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (PottyMouth-2.2.1.tar.gz)
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

Rpmlint
-------
Checking: python-pottymouth-2.2.1-1.fc17.src.rpm
          python-pottymouth-2.2.1-1.fc17.noarch.rpm
python-pottymouth.src: W: spelling-error Summary(en_US) untrusted -> entrusted, trusted, encrusted
python-pottymouth.src: W: spelling-error %description -l en_US untrusted -> entrusted, trusted, encrusted
python-pottymouth.src: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
python-pottymouth.noarch: W: spelling-error Summary(en_US) untrusted -> entrusted, trusted, encrusted
python-pottymouth.noarch: W: spelling-error %description -l en_US untrusted -> entrusted, trusted, encrusted
python-pottymouth.noarch: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
python-pottymouth.noarch: W: doc-file-dependency /usr/share/doc/python-pottymouth/tests.py /usr/bin/env
python-pottymouth.noarch: W: doc-file-dependency /usr/share/doc/python-pottymouth/profile.py /usr/bin/env
2 packages and 0 specfiles checked; 0 errors, 8 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
python-pottymouth-2.2.1-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/env  
    python(abi) = 2.7
    python2  

Provides
--------
python-pottymouth-2.2.1-1.fc17.noarch.rpm:
    
    PottyMouth = 2.2.1-1.fc17
    python-pottymouth = 2.2.1-1.fc17

MD5-sum check
-------------
http://glyphobet.net/pottymouth/dist/PottyMouth-2.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : 20c01296f29266283f6a82bcdffef49fb236819c2561f6e18933b3b7637f6a02
  CHECKSUM(SHA256) upstream package : 20c01296f29266283f6a82bcdffef49fb236819c2561f6e18933b3b7637f6a02


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 856554
External plugins:


Try test in koji

Regards!
Comment 2 Eduardo Echeverria 2012-09-17 01:24:35 EDT
####################### Corrected SRPM and spec ##############################
RPMS: http://echevemaster.fedorapeople.org/python-pottymouth/2/python-pottymouth-2.2.1-2.fc17.src.rpm
SPEC: http://echevemaster.fedorapeople.org/python-pottymouth/2/python-pottymouth.spec

##################### rpmlint ############################################
rpmlint -i python-pottymouth-2.2.1-2.fc17.noarch.rpm 
python-pottymouth.noarch: W: spelling-error Summary(en_US) untrusted -> entrusted, trusted, encrusted
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.noarch: W: spelling-error %description -l en_US untrusted -> entrusted, trusted, encrusted
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.noarch: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
The value of this tag appears to be misspelled. Please double-check.

1 packages and 0 specfiles checked; 0 errors, 3 warnings.

rpmlint -i python-pottymouth-2.2.1-2.fc17.src.rpm 
python-pottymouth.src: W: spelling-error Summary(en_US) untrusted -> entrusted, trusted, encrusted
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.src: W: spelling-error %description -l en_US untrusted -> entrusted, trusted, encrusted
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.src: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
The value of this tag appears to be misspelled. Please double-check.

1 packages and 0 specfiles checked; 0 errors, 3 warnings.

######################## Koji Builds #####################################
rawhide
http://koji.fedoraproject.org/koji/taskinfo?taskID=4490605
f17
http://koji.fedoraproject.org/koji/taskinfo?taskID=4490607
f18
http://koji.fedoraproject.org/koji/taskinfo?taskID=4490609
Comment 3 Mario Blättermann 2012-09-22 11:07:22 EDT
$ rpmlint -i -v *
python-pottymouth.src: I: checking
python-pottymouth.src: W: spelling-error Summary(en_US) untrusted -> entrusted, trusted, encrusted
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.src: W: spelling-error %description -l en_US untrusted -> entrusted, trusted, encrusted
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.src: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.src: I: checking-url http://glyphobet.net/pottymouth/dist/ (timeout 10 seconds)
python-pottymouth.src: I: checking-url http://glyphobet.net/pottymouth/dist/PottyMouth-2.2.1.tar.gz (timeout 10 seconds)
python-pottymouth.noarch: I: checking
python-pottymouth.noarch: W: spelling-error Summary(en_US) untrusted -> entrusted, trusted, encrusted
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.noarch: W: spelling-error %description -l en_US untrusted -> entrusted, trusted, encrusted
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.noarch: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.noarch: I: checking-url http://glyphobet.net/pottymouth/dist/ (timeout 10 seconds)
python-pottymouth.spec: I: checking-url http://glyphobet.net/pottymouth/dist/PottyMouth-2.2.1.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

Just a few ignorable spelling errors.



Provides:	%{pkgname} = %{version}-%{release}
You don't have to add this line explicitely. It is picked up automatically while building the package. Just tested on my local machine.


The source tarball contains a bundled egg-info. Please remove it before building your package (in the %prep section):

rm -rf %{pkgname}.egg-info

See https://fedoraproject.org/wiki/Packaging:Python_Eggs#Upstream_Eggs for more information.
Comment 4 Eduardo Echeverria 2012-09-22 13:20:24 EDT
Hi Mario, thanks for your comments, the corrected specs and SRPMS here:

Spec URL: http://echevemaster.fedorapeople.org/python-pottymouth/3/python-pottymouth.spec
SRPM URL: http://echevemaster.fedorapeople.org/python-pottymouth/3/python-pottymouth-2.2.1-3.fc17.src.rpm

Regards
Comment 5 Mario Blättermann 2012-09-22 13:45:17 EDT
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4513875

$ rpmlint -i -v *
python-pottymouth.src: I: checking
python-pottymouth.src: W: spelling-error Summary(en_US) untrusted -> entrusted, trusted, encrusted
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.src: W: spelling-error %description -l en_US untrusted -> entrusted, trusted, encrusted
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.src: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.src: I: checking-url http://glyphobet.net/pottymouth/dist/ (timeout 10 seconds)
python-pottymouth.src: I: checking-url http://glyphobet.net/pottymouth/dist/PottyMouth-2.2.1.tar.gz (timeout 10 seconds)
python-pottymouth.noarch: I: checking
python-pottymouth.noarch: W: spelling-error Summary(en_US) untrusted -> entrusted, trusted, encrusted
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.noarch: W: spelling-error %description -l en_US untrusted -> entrusted, trusted, encrusted
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.noarch: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
The value of this tag appears to be misspelled. Please double-check.

python-pottymouth.noarch: I: checking-url http://glyphobet.net/pottymouth/dist/ (timeout 10 seconds)
python-pottymouth.spec: I: checking-url http://glyphobet.net/pottymouth/dist/PottyMouth-2.2.1.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

Nothing of interest, the same output as from the previous build.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    BSD
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    20c01296f29266283f6a82bcdffef49fb236819c2561f6e18933b3b7637f6a02  PottyMouth-2.2.1.tar.gz
    20c01296f29266283f6a82bcdffef49fb236819c2561f6e18933b3b7637f6a02  PottyMouth-2.2.1.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 6 Eduardo Echeverria 2012-09-22 14:00:05 EDT
New Package SCM Request
=======================
Package Name: python-pottymouth
Short Description: Transform unstructured, untrusted text to safe, valid XHTML
Owners: echevemaster
Branches: f16 f17 f18
InitialCC: Mariobl
Comment 7 Gwyn Ciesla 2012-09-23 10:16:40 EDT
Git done (by process-git-requests).

Fixed FAS name for Mario
Comment 8 Fedora Update System 2012-09-23 14:41:40 EDT
python-pottymouth-2.2.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-pottymouth-2.2.1-3.fc18
Comment 9 Fedora Update System 2012-09-23 14:43:31 EDT
python-pottymouth-2.2.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-pottymouth-2.2.1-3.fc17
Comment 10 Fedora Update System 2012-09-23 14:45:21 EDT
python-pottymouth-2.2.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-pottymouth-2.2.1-3.fc16
Comment 11 Fedora Update System 2012-10-02 11:52:52 EDT
python-pottymouth-2.2.1-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2012-10-02 11:55:01 EDT
python-pottymouth-2.2.1-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2012-10-10 01:19:12 EDT
python-pottymouth-2.2.1-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Mario Blättermann 2012-10-15 13:54:28 EDT
All packages are marked as stable now, that's why it is time to close this bug now.

Note You need to log in before you can comment on or make changes to this bug.